summaryrefslogtreecommitdiff
path: root/package/base-files/extra/etc/network/if-post-down.d/02-vlan
diff options
context:
space:
mode:
Diffstat (limited to 'package/base-files/extra/etc/network/if-post-down.d/02-vlan')
-rwxr-xr-xpackage/base-files/extra/etc/network/if-post-down.d/02-vlan10
1 files changed, 10 insertions, 0 deletions
diff --git a/package/base-files/extra/etc/network/if-post-down.d/02-vlan b/package/base-files/extra/etc/network/if-post-down.d/02-vlan
new file mode 100755
index 000000000..e448a7641
--- /dev/null
+++ b/package/base-files/extra/etc/network/if-post-down.d/02-vlan
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+[ -x /sbin/vconfig ] || exit 0
+
+[ -e /proc/net/vlan/$IFACE ] && (
+ ip link set down dev $IFACE
+ vconfig rem $IFACE
+)
+
+exit 0